
Smart Proxy - Bug #15022

"Running scan_directory" operation do not check environments manifests folder 

05/12/2016 08:44 AM - Andre Davis

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm using:

Ubuntu 14.04.4 and Foreman installed using default options and readme from Foreman website.

Steps:

1. Create additional folder for some environment and manifests folder inside.

2. Create some sample class inside site.pp, which can be validated by puppet parser. For example:

class some {

file { '/tmp/generated-file':

ensure    =>    present,

mode    =>    '0644',

content    =>    "test: $(ipaddress_eth0)",

}

}

3. Enable Smart Proxy debug logs and run environment scan.

Result:

Filter logs using Search field, use for example "development/manifests" string - you will see that folder wasn't scanned. As result -

environment wasn't imported.

My Smart Proxy version - 1.11.1

History

#1 - 05/12/2016 08:53 AM - Dominic Cleal

- Category set to Puppet

- Priority changed from High to Normal

#13667 with Puppet Server 2 (Puppet 4) will support this automatically.

It's recommended that you place all classes into a module layout, which is what the smart proxy currently supports. (

https://docs.puppetlabs.com/puppet/3/reference/modules_fundamentals.html#module-layout etc)

#2 - 05/13/2016 06:54 AM - Anonymous

- Status changed from New to Feedback

#3 - 05/17/2017 11:27 AM - Anonymous

- Status changed from Feedback to Resolved
